Bug 1375484 - php-horde: Missing CSRF protection in configuration form and portal layout forms
Summary: php-horde: Missing CSRF protection in configuration form and portal layout forms
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1375494 1375497
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-13 09:09 UTC by Adam Mariš
Modified: 2019-09-29 13:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:58:31 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-09-13 09:09:37 UTC
CSRF protection tokens were missing in configuration form and portal layout forms.

Upstream patches:

https://github.com/horde/horde/commit/4035ab12e5f6496df7df23fc6250b404f0e8592e
https://github.com/horde/horde/commit/2c4fa7e913afadc68f4d78f57994f0ce9a67787b

Comment 1 Adam Mariš 2016-09-13 09:15:56 UTC
Created php-horde-Horde-Core tracking bugs for this issue:

Affects: fedora-all [bug 1375494]
Affects: epel-all [bug 1375497]

Comment 2 Product Security DevOps Team 2019-06-08 02:58:31 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.